gr::ieee802_15_4::dqcsk_mapper_fc Class Reference

<+description of block+> More...

`#include <dqcsk_mapper_fc.h>`

Inheritance diagram for gr::ieee802_15_4::dqcsk_mapper_fc:
[legend]

## Public Types

typedef boost::shared_ptr< dqcsk_mapper_fc > | sptr

## Static Public Member Functions

static sptr | make (std::vector< gr_complex > chirp_seq, std::vector< gr_complex > time_gap_1, std::vector< gr_complex > time_gap_2, int len_subchirp, int num_subchirp, int nsym_frame)
| Return a shared_ptr to a new instance of ieee802_15_4::dqcsk_mapper_fc. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<dqcsk_mapper_fc> gr::ieee802_15_4::dqcsk_mapper_fc::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::dqcsk_mapper_fc::make | ( | std::vector< gr_complex > | chirp_seq,
|  | std::vector< gr_complex > | time_gap_1,
|  | std::vector< gr_complex > | time_gap_2,
|  | int | len_subchirp,
|  | int | num_subchirp,
|  | int | nsym_frame
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::dqcsk_mapper_fc.

To avoid accidental use of raw pointers, ieee802_15_4::dqcsk_mapper_fc's constructor is in a private implementation class. ieee802_15_4::dqcsk_mapper_fc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- dqcsk_mapper_fc.h